SoTextureEnabledElement Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoTextureEnabledElement Class Reference
Element Classes

The SoTextureEnabledElement class is an element which stores whether texturing is enabled or not.Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API. More...

`#include <Inventor/elements/SoTextureEnabledElement.h>`

Inheritance diagram for SoTextureEnabledElement:

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | setElt (int32_t value)
| FIXME: write doc.
Public Member Functions inherited from SoInt32Element
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const SbBool enabled)
static SbBool | get (SoState *const state)
static SbBool | getDefault (void)
Static Public Member Functions inherited from SoInt32Element
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int index, SoState *const state, SoNode *const node, const int32_t value)
static void | set (const int index, SoState *const state, const int32_t value)
static int32_t | get (const int index, SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoTextureEnabledElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoInt32Element
int32_t | data
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoTextureEnabledElement class is an element which stores whether texturing is enabled or not.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

See also
  SoTexture3EnabledElement

Since
  Coin 2.0

## Constructor & Destructor Documentation

SoTextureEnabledElement::~SoTextureEnabledElement | ( | void |  | ) |
| protectedvirtual

The destructor.

## Member Function Documentation

void * SoTextureEnabledElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

void SoTextureEnabledElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const SbBool | enabled
| ) |  |
| static

Sets the state of this element.

SbBool SoTextureEnabledElement::get | ( | SoState *const | state | ) |
| static

Return current state of this element.

SbBool SoTextureEnabledElement::getDefault | ( | void |  | ) |
| static

Returns default state of this element (FALSE).

The documentation for this class was generated from the following files:

- SoTextureEnabledElement.h
- SoTextureEnabledElement.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.